be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDSEVERITYvalues

- java.lang.Object
- - java.lang.Enum<CDSEVERITYvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDSEVERITYvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDSEVERITYvalues>

      public enum CDSEVERITYvalues
      extends Enum<CDSEVERITYvalues>

  Java class for CD-SEVERITYvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-SEVERITYvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="abnormal"/>
           <enumeration value="high"/>
           <enumeration value="low"/>
           <enumeration value="normal"/>
           <enumeration value="resistent"/>
           <enumeration value="susceptible"/>
           <enumeration value="susceptibleintermediate"/>
           <enumeration value="veryabnormal"/>
           <enumeration value="veryhigh"/>
           <enumeration value="verylow"/>
           <enumeration value="extremelyhigh"/>
           <enumeration value="extremelylow"/>
           <enumeration value="verysusceptible"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABNORMAL`
    `EXTREMELYHIGH`
    `EXTREMELYLOW`
    `HIGH`
    `LOW`
    `NORMAL`
    `RESISTENT`
    `SUSCEPTIBLE`
    `SUSCEPTIBLEINTERMEDIATE`
    `VERYABNORMAL`
    `VERYHIGH`
    `VERYLOW`
    `VERYSUSCEPTIBLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDSEVERITYvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDSEVERITYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDSEVERITYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABNORMAL

          public static final CDSEVERITYvalues ABNORMAL

    - #### HIGH

          public static final CDSEVERITYvalues HIGH

    - #### LOW

          public static final CDSEVERITYvalues LOW

    - #### NORMAL

          public static final CDSEVERITYvalues NORMAL

    - #### RESISTENT

          public static final CDSEVERITYvalues RESISTENT

    - #### SUSCEPTIBLE

          public static final CDSEVERITYvalues SUSCEPTIBLE

    - #### SUSCEPTIBLEINTERMEDIATE

          public static final CDSEVERITYvalues SUSCEPTIBLEINTERMEDIATE

    - #### VERYABNORMAL

          public static final CDSEVERITYvalues VERYABNORMAL

    - #### VERYHIGH

          public static final CDSEVERITYvalues VERYHIGH

    - #### VERYLOW

          public static final CDSEVERITYvalues VERYLOW

    - #### EXTREMELYHIGH

          public static final CDSEVERITYvalues EXTREMELYHIGH

    - #### EXTREMELYLOW

          public static final CDSEVERITYvalues EXTREMELYLOW

    - #### VERYSUSCEPTIBLE

          public static final CDSEVERITYvalues VERYSUSCEPTIBLE

  - ### Method Detail

    - #### values

          public static CDSEVERITYvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDSEVERITYvalues c : CDSEVERITYvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDSEVERITYvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDSEVERITYvalues fromValue(String v)

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.